Skip to content

Cancel agreement

Payments
POSThttps://api.dcdial.com/api/type=cancel_payment_plan
PaymentsToken

Cancels a payment agreement and all its future payments. The account holder is notified.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always cancel_payment_plan for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • company_idintegerrequired

    Your DCDial company ID.

    Example 101
  • agreement_idintegerrequired

    ID of the payment agreement.

    Example 5521
Terminal window
curl https://api.dcdial.com/api/ \
-d type=cancel_payment_plan \
-d token="$DCDIAL_TOKEN" \
-d company_id=101 \
-d agreement_id=5521
Response · 200 OK
{
"response": {
"agreement_id": "12345",
"message": "",
"success": "[1|0]"
}
}

Try it

Environment